## CallsCallDBusManager CallsCallDBusManager — Manages the Call DBus interface |

## Functions

CallsDBusManager * | calls_dbus_manager_new ()
gboolean | calls_dbus_manager_register ()

## Types and Values

#define | CALLS_TYPE_DBUS_MANAGER
| CallsDBusManager

## Object Hierarchy

        GObject
        ╰── CallsDBusManager

## Description

The CallsCallManager is responsible for exposing the call objects on the session bus using GDBusObjectManager.

Call objects are exported like /org/gnome/Calls/ as /org/gnome/Calls/Call/1, /org/gnome/Calls/Call/2, … using org.freedesktop.DBus.ObjectManager.

## Functions

### calls_dbus_manager_new ()

    CallsDBusManager *
    calls_dbus_manager_new (void);

### calls_dbus_manager_register ()

    gboolean
    calls_dbus_manager_register (CallsDBusManager *self,
                                 GDBusConnection *connection,
                                 const char *object_path,
                                 GError **error);

## Types and Values

### CALLS_TYPE_DBUS_MANAGER

    #define CALLS_TYPE_DBUS_MANAGER calls_dbus_manager_get_type ()

### CallsDBusManager

    typedef struct _CallsDBusManager CallsDBusManager;